name: Clean SonarQube project

on:
    delete:
        secrets:
            sonar_token:
                required: true

jobs:
    clean:
        uses: globaldigitalagency/github-workflows-templates/.github/workflows/clean-sonarqube.yaml@v1
        if: github.event.ref_type == 'branch'
        secrets: inherit
